WordPress.org

Ready to get started?Download WordPress

Forums

WooCommerce - excelling eCommerce
[resolved] blockUI / Cannot Add Variations (5 posts)

  1. makeshiftwings
    Member
    Posted 6 months ago #

    I am trying to get some help with an issue with Woocommerce (1.6.6) I am having.

    I am having a couple issues. One, I am getting a 'blockUI' error basically telling me that my version of jQuery is old. I think this is because it is unable to read the '0' in version 1.10 and processes it as 1.1 when 1.3 is required.

    Primarily, though, my issue is that I am unable to add variations to variable products anymore. I already have multiple products setup with variations for previous products but for some reason I am no longer able to add them. I click the buttons "link variations" or "add variation" and they just don't do anything. When I click 'link' I do get the prompt that tells me the max is 50... Click 'OK', nothing happens.

    I am using WordPress version 1.6 with a theme called Flexishop 2. I really would rather not have to update Woocommerce at this point as I don't want to have to move to a dev site and update everything to ensure compatibility.

    Any help would be GREATLY appreciated.

    https://wordpress.org/plugins/woocommerce/

  2. Coen Jacobs
    Member
    Plugin Author

    Posted 6 months ago #

    Please note that WooCommerce 1.6.6 is a really, really old version (almost 2 years old now) and I strongly recommend that you update to at least the 2.0 versions. The 1.x versions are no longer supported, yet maintained. It's only a matter of time before the 2.0.x releases are no longer supported, so please get updating.

    I also hope that you are not really on WordPress 1.x (1.6 doesn't even exist, if I'm correct), but on a more updated version.

    So please make sure you get your version numbers right in this topic, I might be able to give a couple pointers, but my main advice is to get WooCommerce updated first, then we can focus on resolving issues like this.

  3. makeshiftwings
    Member
    Posted 6 months ago #

    Thank you for the response.

    I understand the WooCommerce version is outdated. Unfortunately, this is a site I developed for a client a while back and I do not have the time right now to move everything to a dev site to test for any issues with the new version of WooCommerce. I understand it may come down to this, but I want to explore my options first.

    Sorry for the confusion on the WordPress version! I meant to write 3.6.

    Please let me know if you can provide any help. I know that if I update WooCommerce, the issue will likely be gone. Unfortunately, like I said above, that is my last resort right now.

    Thanks!

  4. Coen Jacobs
    Member
    Plugin Author

    Posted 6 months ago #

    You can have a look at how we now compare these versions of jQuery and BlockUI before loading, so you can copy that over to your version of WooCommerce. But again, I highly recommend updating it, as changing it manually might cause other issues.

    The JavaScript errors related to this probably also the cause why adding variations fails (if only JS would fail gracefully :) ).

  5. makeshiftwings
    Member
    Posted 4 months ago #

    Coen,

    I have tried to update WooCommerce to the latest version but, as expected, it seems to break the theme I'm using. Can you offer any more advice? This is a situation where we may be willing to pay for your assistance if we can get it resolved. I've tried to reach out to you via email but did not hear back. Let me know your thoughts and availability.

Reply

You must log in to post.

About this Plugin

About this Topic